Bug 24059 - Remove unused Greybox assets from detail.tt
Summary: Remove unused Greybox assets from detail.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 21891
Blocks: 8290
  Show dependency treegraph
 
Reported: 2019-11-18 16:08 UTC by Owen Leonard
Modified: 2020-01-14 00:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24059: Remove unused Greybox assets from detail.tt (1.26 KB, patch)
2019-11-18 18:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24059: Remove unused Greybox assets from detail.tt (1.33 KB, patch)
2019-12-05 14:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24059: Remove unused Greybox assets from detail.tt (1.39 KB, patch)
2019-12-22 21:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-11-18 16:08:17 UTC
The Greybox library is included on the bibliographic detail page in the staff client but doesn't seem to be required for anything.
Comment 1 Owen Leonard 2019-11-18 18:30:09 UTC
Created attachment 95522 [details] [review]
Bug 24059: Remove unused Greybox assets from detail.tt

This patch removes reference to the Greybox include file because it is
unused.

To test, apply the patch and view the bibliographic details page. Test
various JavaScript-driven interactions to make sure no functionality has
been broken: Menus, tabs, table filters, MARC Preview, etc.

Searching for "gb-" or "GB_" should return no results in any files
related to the details page.
Comment 2 Jonathan Druart 2019-12-05 14:48:45 UTC
Usage removed by bug 21891.
Comment 3 Jonathan Druart 2019-12-05 14:49:38 UTC
Created attachment 96043 [details] [review]
Bug 24059: Remove unused Greybox assets from detail.tt

This patch removes reference to the Greybox include file because it is
unused.

To test, apply the patch and view the bibliographic details page. Test
various JavaScript-driven interactions to make sure no functionality has
been broken: Menus, tabs, table filters, MARC Preview, etc.

Searching for "gb-" or "GB_" should return no results in any files
related to the details page.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Katrin Fischer 2019-12-22 21:09:17 UTC
Created attachment 96584 [details] [review]
Bug 24059: Remove unused Greybox assets from detail.tt

This patch removes reference to the Greybox include file because it is
unused.

To test, apply the patch and view the bibliographic details page. Test
various JavaScript-driven interactions to make sure no functionality has
been broken: Menus, tabs, table filters, MARC Preview, etc.

Searching for "gb-" or "GB_" should return no results in any files
related to the details page.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-01-03 16:16:03 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-14 00:44:37 UTC
not backported to 19.11.x